Name: notification-daemon-xfce
Version: 0.3.6
Release: %mkrel 6

Summary: Notification daemon for XFce Desktop
License: GPL
Group: Graphical desktop/Xfce
Url: http://xfce-goodies.berlios.de
Source: http://download.berlios.de/xfce-goodies/%name-%version.tar.bz2
#(saispo) 0.3.6-1mdv2007.1 fix dbus compilation
Patch0: notification-daemon-xfce-0.3.6-dbus.patch.bz2
BuildRequires: fontconfig 
BuildRequires: xfce-mcs-manager-devel 
BuildRequires: perl-XML-Parser
BuildRequires: libsexy-devel 
BuildRequires: startup-notification-devel
BuildRequires: libxfce4mcs-devel 
BuildRequires: libxfce4util-devel 
BuildRequires: libxfcegui4-devel
BuildRequires: dbus-glib-devel 
BuildRequires: gtk+2-devel
BuildRequires: libnotify-devel

Provides: virtual-notification-daemon
Conflicts: notification-daemon
Requires(post): desktop-file-utils shared-mime-info scrollkeeper
Requires(postun): desktop-file-utils shared-mime-info scrollkeeper

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Notification-daemon-xfce is a port of Gnome's notification-daemon 
for the Xfce desktop.

More information about the origional version of the notification-daemon 
can be found here: http://www.galago-project.org

%prep
%setup -q
%patch0 -p0 -b .dbus

# needed by dbus patch
aclocal 

%build
%configure2_5x
%make

%install
%make install DESTDIR=%{buildroot}
%find_lang %name

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean
rm -fr %buildroot

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_bindir/*
%_libdir/notification-daemon-xfce-1.0/engines/*.so
%exclude %_libdir/notification-daemon-xfce-1.0/engines/*.*a
%_libdir/xfce4/mcs-plugins/*
%_libexecdir/%name
%_iconsdir/hicolor/*
%_datadir/dbus-1/services/*.service
%_datadir/applications/*.desktop



%changelog
* Mon Mar 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.6-6mdv2007.0
+ Revision: 132753
- Fix group (#28659)

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.3.6-5mdv2007.1
+ Revision: 108194
- fix provides

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.6-4mdv2007.1
+ Revision: 107075
- Remove Obsoletes

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.6-3mdv2007.1
+ Revision: 107051
- Add Conflicts
- Fix conflict with notification-daemon

* Wed Jan 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.6-1mdv2007.1
+ Revision: 103566
- Fix spec errors
- Update Provides
- Import notification-daemon-xfce

